/**
 * Created by CSL on 2018-12-17.
 */
let mongoose = require('mongoose');
let Schema = mongoose.Schema;

let dataSchema = new Schema({
    ID: String,
    NextSiblingID: String,
    ParentID: String,
    children: [],
    code: String,
    compilationID: String,
    copyTime: Number,
    firstNodeType: Number,
    isFBFX: {type: Boolean, default: true},
    itemCharacterText: String,
    name: String,
    nodeName: String,
    type: Number,
    unit: String,
    unitFee: String,
    _id: false
},{versionKey:false});

let blockLibsSchema = new Schema({
    userID: String,
    compilationID: String,
    libID: String,
    libName: String,
    datas: [dataSchema],
    share: {}
},{versionKey:false});

mongoose.model('blockLibsModel', blockLibsSchema, 'block_libs');